{
  "name": "@upe/utilities",
  "version": "0.2.2",
  "description": "A collection of usefull utilities functions.",
  "main": "./dist/index.js",
  "typings": "./dist/index.d.ts",
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "build:api": "typedoc --out api --mode file --hideGenerator ./src ",
    "postversion": "git push --follow-tags",
    "lint": "tslint -p tsconfig.json --type-check",
    "test": "mocha --opts mocha.opts",
    "test:coverage": "nyc -e '.ts' --r html -r text-summary npm run test",
    "test:auto": "mocha-typescript-watch --opts mocha.opts --project tests/tsconfig.test.json"
  },
  "nyc": {
    "exclude": [
      "tests",
      "dist",
      "demo"
    ]
  },
  "engines": {
    "node": ">=4.8.2"
  },
  "repository": "gitlab:upe-consulting/npm/utilities",
  "keywords": [
    "typescript",
    "utilities"
  ],
  "author": "Merzough Badry Münker <badry@upeserver.de> (https://gitlab.com/UnitedPE)",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/upe-consulting/npm/utilities/issues"
  },
  "devDependencies": {
    "@types/chai": "^3.4.35",
    "@types/mocha": "^2.2.40",
    "@types/sinon": "^2.1.2",
    "chai": "^3.5.0",
    "chai-arrays": "0.0.1",
    "mocha": "^3.2.0",
    "mocha-typescript": "^1.0.23",
    "nyc": "^10.2.0",
    "sinon": "^2.1.0",
    "ts-node": "^3.0.2",
    "tslint": "^5.1.0",
    "typedoc": "^0.5.10",
    "typescript": "^2.2.2"
  },
  "dependencies": {
    "@upe/logger": "^0.2.1",
    "moment": "^2.18.1"
  }
}
